<!--<ion-header>-->
<!--  <ion-toolbar>-->
<!--    <ion-buttons slot="start">-->
<!--      <ion-menu-button></ion-menu-button>-->
<!--    </ion-buttons>-->
<!--    <ion-title>login</ion-title>-->
<!--  </ion-toolbar>-->
<!--</ion-header>-->

<ion-content fullscreen>
  <ion-buttons style="position: fixed;color: white;" >
    <ion-menu-button></ion-menu-button>
  </ion-buttons>
  <div class="logo">
    <img src="../../assets/logo/1024-1024-logo.png">
  </div>
  <form [formGroup]="registerForm">
    <ion-list lines="full">
      <ion-item>
        <ion-label position="floating">Utilisateur</ion-label>
        <ion-input [ngClass]="{ 'is-invalid': submitted && f.username.errors }" class="form-control"
                   formControlName="username"  onkeyup="this.value = this.value.toLowerCase()" ></ion-input>
        <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
          <div *ngIf="f.username.errors.required" class='error'>Entrer votre nom d'utilisateur</div>
        </div>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Mot de passe</ion-label>
        <ion-input [ngClass]="{ 'is-invalid': submitted && f.password.errors }" class="form-control" formControlName="password"
                   [type]="showpassword? 'text' : 'password'" ></ion-input>
        <ion-icon slot="end" [name]="passwordToggle" (click)="togglepassword()" class="iconpass"></ion-icon>
        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
          <div *ngIf="f.password.errors.required" class='error'>Mot de passe requis</div>
        </div>
      </ion-item>


    </ion-list>
    <div class="ion-padding">
      <ion-button  shape="round" [disabled]="registerForm.invalid" class="btn btn-secondary btnred ion-no-margin" expand="block"
                   type="submit" (click)="onSubmit()">Se connecter
      </ion-button>
    </div>
  </form>
</ion-content>
